{
  "schema_version": "1.4.0",
  "id": "GHSA-m782-qx46-pj8h",
  "modified": "2025-04-09T03:47:59Z",
  "published": "2022-05-01T18:09:00Z",
  "aliases": [
    "CVE-2007-2957"
  ],
  "details": "Integer overflow in McAfee E-Business Server before 8.5.3 for Solaris, and before 8.1.2 for Linux, HP-UX, and AIX, allows remote attackers to execute arbitrary code via a large length value in an authentication packet, which results in a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2957"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/38175"
    },
    {
      "type": "WEB",
      "url": "https://knowledge.mcafee.com/SupportSite/dynamickc.do?externalId=614035&sliceId=SAL_Public&command=show&forward=nonthreadedKC&kcId=614035"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26372"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/secunia_research/2007-69/advisory"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1018878"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/26269"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3663"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-10-31T22:46:00Z"
  }
}